osl::game_playing::NullBook Class Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | List of all members
osl::game_playing::NullBook Class Reference

定跡無し More...

`#include <openingBookTracer.h>`

Inheritance diagram for osl::game_playing::NullBook:
[legend]
Collaboration diagram for osl::game_playing::NullBook:
[legend]

## Public Member Functions
| ~NullBook ()
OpeningBookTracer * | clone () const
| new したものを返す More...
void | update (Move)
| 指した手に対応して状態を更新する． More...
const Move | selectMove () const
| 良い手を探す．状態は更新しない． More...
bool | isOutOfBook () const
void | popMove ()
| 一手前の状態に戻す More...
Public Member Functions inherited from osl::game_playing::OpeningBookTracer
| OpeningBookTracer ()
virtual | ~OpeningBookTracer ()
bool | isVerbose () const

## Additional Inherited Members
Protected Attributes inherited from osl::game_playing::OpeningBookTracer
bool | verbose

## Detailed Description

定跡無し

Definition at line 42 of file openingBookTracer.h.

## Constructor & Destructor Documentation

osl::game_playing::NullBook::~NullBook | ( | ) |  |

Definition at line 13 of file openingBookTracer.cc.

## Member Function Documentation

OpeningBookTracer* osl::game_playing::NullBook::clone | ( | ) |  | const
| inlinevirtual

new したものを返す

Implements osl::game_playing::OpeningBookTracer.

Definition at line 46 of file openingBookTracer.h.

bool osl::game_playing::NullBook::isOutOfBook | ( | ) |  | const
| virtual

Implements osl::game_playing::OpeningBookTracer.

Definition at line 29 of file openingBookTracer.cc.

void osl::game_playing::NullBook::popMove | ( | ) |  |
| virtual

一手前の状態に戻す

Implements osl::game_playing::OpeningBookTracer.

Definition at line 35 of file openingBookTracer.cc.

const osl::Move osl::game_playing::NullBook::selectMove | ( | ) |  | const
| virtual

良い手を探す．状態は更新しない．

Returns
  定跡をはずれたら Move::INVALID()

Implements osl::game_playing::OpeningBookTracer.

Definition at line 23 of file openingBookTracer.cc.

void osl::game_playing::NullBook::update | ( | Move | ) |  |
| virtual

指した手に対応して状態を更新する．

Implements osl::game_playing::OpeningBookTracer.

Definition at line 18 of file openingBookTracer.cc.

The documentation for this class was generated from the following files:

- openingBookTracer.h
- openingBookTracer.cc